> ## Documentation Index
> Fetch the complete documentation index at: https://docs.siray.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Hunyuan3d V2.5 Rapid image-to-3d



## OpenAPI

````yaml openapi-spec/hunyuan3d-v2.5-rapid-image-to-3d.json POST /v1/3d/generations
openapi: 3.1.0
info:
  description: >-
    Hunyuan3d V2.5 Rapid is Tencent's fast image-to-3D model for quick 3D asset
    generation. Transform 2D images into 3D models rapidly with optimized speed
    and solid quality output.
  summary: API for Hunyuan3d V2.5 Rapid image-to-3d model
  title: Hunyuan3d V2.5 Rapid image-to-3d API
  version: 1.0.0
servers:
  - description: Model Verse API Server
    url: https://api.siray.ai
security: []
tags:
  - description: >-
      Hunyuan3d V2.5 Rapid image-to-3d - Hunyuan3d V2.5 Rapid is Tencent's fast
      image-to-3D model for quick 3D asset generation. Transform 2D images into
      3D models rapidly with optimized speed and solid quality output.
    name: Hunyuan3d V2.5 Rapid image-to-3d
paths:
  /v1/3d/generations:
    post:
      tags:
        - Hunyuan3d V2.5 Rapid image-to-3d
      summary: Generate 3D model
      description: Generate a 3D model using the Hunyuan3d V2.5 Rapid image-to-3d model
      operationId: 3d_model-xb5fklvb4y9f8wdm
      requestBody:
        content:
          application/json:
            example:
              image: example_value
              model: tencent/hunyuan3d-v2.5-rapid-image-to-3d
              output_format: OBJ
              pbr_enable: true
              texture_enable: true
            schema:
              description: Request format for 3D model generation
              properties:
                image:
                  description: Input image for generation, it can be data URL or image URL
                  type: string
                model:
                  description: Model name to use for the request
                  enum:
                    - tencent/hunyuan3d-v2.5-rapid-image-to-3d
                  type: string
                output_format:
                  description: Output format for the 3D model
                  enum:
                    - OBJ
                    - GLB
                    - STL
                    - USDZ
                    - FBX
                    - MP4
                  type: string
                pbr_enable:
                  default: true
                  description: >-
                    Whether to enable PBR (Physically Based Rendering) material
                    output
                  type: boolean
                texture_enable:
                  default: true
                  description: Whether to enable texture generation
                  type: boolean
              required:
                - model
                - image
              title: 3D Model Generation Request
              type: object
        description: Request payload
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskResponse'
          description: Successful response
      security:
        - bearerAuth: []
components:
  schemas:
    TaskResponse:
      description: Standard async task creation response
      properties:
        code:
          description: Status code returned by the service
          example: success
          type: string
        data:
          description: Response payload containing task details
          properties:
            task_id:
              description: Identifier of the created task
              type: string
          required:
            - task_id
          type: object
        message:
          description: Additional information about the request result
          type: string
      required:
        - data
        - code
        - message
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: API Key
      description: Bearer authentication using API key
      scheme: bearer
      type: http

````